Subject: Re: writel(), readl() in <asm-ppc/io.h>

From: Shawn Jin <[email-masked]>
Date: Sat, 13 Aug 2005 20:56:50 -0700

> read*()/write*() are accessors for PCI and PCI only.  PCI is little

If read*()/write*() are designed for PCI access only as you claimed,
that explains why they call in/out_leXX() funcitons.

The problem is that read*()/write*() are misused in some places, e.g.,
serial drivers such as serial8250. The serial_in() and serial_out()
call read*() and write*() respectively. So what's your recommendation
in such a case?

Regards,
-Shawn.